<?php



class TblupdateblogMapBuilder implements MapBuilder {

	
	const CLASS_NAME = 'lib.model.map.TblupdateblogMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap(TblupdateblogPeer::DATABASE_NAME);

		$tMap = $this->dbMap->addTable(TblupdateblogPeer::TABLE_NAME);
		$tMap->setPhpName('Tblupdateblog');
		$tMap->setClassname('Tblupdateblog');

		$tMap->setUseIdGenerator(false);

		$tMap->addPrimaryKey('UPB_USER', 'UpbUser', 'INTEGER', true, null);

		$tMap->addPrimaryKey('UPB_ENTRY', 'UpbEntry', 'INTEGER', true, null);

		$tMap->addColumn('UPB_FROMBLOG', 'UpbFromblog', 'INTEGER', false, null);

		$tMap->addColumn('UPB_FROMCATEGORY', 'UpbFromcategory', 'INTEGER', false, null);

		$tMap->addColumn('UPB_BLOG', 'UpbBlog', 'INTEGER', false, null);

		$tMap->addColumn('UPB_CATEGORY', 'UpbCategory', 'INTEGER', false, null);

		$tMap->addColumn('UPB_DATE', 'UpbDate', 'TIMESTAMP', false, null);

	} 
} 